Page MenuHomePhabricator

Rework prefix search integration with core to provide completion suggester to users with the beta feature enabled
Closed, ResolvedPublic

Description

Mobile apps, along with some tests being done on the portals, utilize prefix search as a generator to retrieve page properties such as thumbnails of the page images. We should support this in the completion suggester as well so it can be used in more places.

This can most directly be done by adjusting how we integrate with the prefix search abstraction in core.

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a project: CirrusSearch.
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a project: Discovery. · View Herald TranscriptDec 14 2015, 7:31 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Deskana triaged this task as High priority.Dec 29 2015, 10:03 PM
Deskana added a subscriber: Deskana.

This is pretty important if we want the completion suggester to be adopted by API clients such as mobile web and the mobile apps.

Deskana moved this task from Needs triage to Search on the Discovery board.Dec 29 2015, 10:03 PM
Deskana added a subscriber: Anomie.

Helpful comment from @Anomie about this: "It also turns out that if you do action=opensearch, you should get list=prefixsearch (and generator=prefixsearch) for free since both modules use the TitlePrefixSearch class as their backend."

Deskana set Security to None.

Adding this into the sprint, since it's a blocker for a full rollout of the completion suggester.

Dbrant added a subscriber: Dbrant.Jan 21 2016, 7:37 PM
ksmith moved this task from Search to On Sprint Board on the Discovery board.Jan 21 2016, 11:08 PM
EBernhardson renamed this task from Expand cirrus completion suggester api to perform as a generator to Rework prefix search integration with core to provide completion suggester to users with the beta feature enabled.Jan 21 2016, 11:21 PM
EBernhardson updated the task description. (Show Details)

Change 266596 had a related patch set uploaded (by Smalyshev):
[WIP] Refactor completion search to use SearchEngine

https://gerrit.wikimedia.org/r/266596

Change 265874 had a related patch set uploaded (by Smalyshev):
[WIP] Add completion suggester for prefix search hook

https://gerrit.wikimedia.org/r/265874

Maybe this technical cleanup of core is worth a nice note to wikitech-l or a blog post? There are often a lot of complaints about crufty code in core, and we're doing something to fix it, here.

@Deskana good idea, once we have the API more or less finalized, I'll write one for wikitech-l. I'll write heads up for discovery in case something wants to comment while it is being done.

Change 266596 merged by jenkins-bot:
Include completion search into SearchEngine

https://gerrit.wikimedia.org/r/266596

Change 265874 merged by jenkins-bot:
Add completion suggester for prefix search hook

https://gerrit.wikimedia.org/r/265874

Deskana closed this task as Resolved.Feb 4 2016, 7:06 PM

Yay! \o/